"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorHandlerMiddleware = void 0;
var http_status_codes_1 = require("http-status-codes");
exports.getErrorHandlerMiddleware = function () {
    var mapColoniesErrorExpressHandler = function (err, req, res, 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    next) {
        var _a, _b;
        var errorResponse = {
            message: err.message,
        };
        var responseStatusCode = (_b = (_a = err.statusCode) !== null && _a !== void 0 ? _a : err.status) !== null && _b !== void 0 ? _b : http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR;
        if (responseStatusCode >= http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR) {
            //@ts-ignore pino-http looks for this property for error info
            res.err = err;
            if (process.env.NODE_ENV === 'production') {
                errorResponse.message = http_status_codes_1.getReasonPhrase(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR);
            }
            else {
                errorResponse.stacktrace = err.stack;
            }
        }
        res.status(responseStatusCode).json(errorResponse);
    };
    return mapColoniesErrorExpressHandler;
};
//# sourceMappingURL=index.js.map